[Erledigt] Zu blöd für Composer?

Erledigt - Zu blöd für Composer? | PSD-Tutorials.de

Erstellt von Fugel, 04.09.2019.

  1. Fugel

    Fugel rebmeM PSD Beta Team

    Dabei seit:
    28.02.2008
    Beiträge:
    751
    Geschlecht:
    männlich
    Ort:
    Freiberg
    Software:
    Netbeans, Photoshop CC, InDesign CC, Illustrator CC, Lightroom CC, Suitcase Fusion 6
    Kameratyp:
    Sony Alpha 6300
    Zu blöd für Composer?
    Hallo Leute,

    ich versuche jetzt schon mehrmals mich mit Composer anzufreunden, leider bekomme ich es nie zu laufen. Kann mir das vielleicht mal einer wirklich idiotensicher erklären?

    Ich habe jetzt auf meinem Strato Server (so denke ich es zumindest) den Composer installiert. Dazu habe ich über SSH folgendes eingegeben: curl -sS https://getcomposer.org/installer | php

    Gemacht habe ich das in ein von mir im Hauptverzeichnis angelegtes Verzeichnis, mit dem Namen: composer

    Nachdem ich den Befehl ausgeführt habe, kam auch eine Bestätigung:

    All settings correct for using Composer
    Downloading...

    Composer (version 1.9.0) successfully installed to: /mnt/webxx/bx/xx/xxxxxxx/htdocs/composer/composer.phar
    Use it: php composer.phar

    Wenn ich jetzt aber einen Befehl wie $ composer require mpdf/mpdf eingebe, dann kommt immer Command not found.

    Was mach ich denn falsch?
     
    #1      
  2. TutKit

    TutKit Vollzugriff

    Vollzugriff auf sämtliche Inhalte für Photoshop, InDesign, Affinity, 3D, Video & Office

    Suchst du einen effektiven Weg, um deine Geschäftsideen aber auch persönlichen Kenntnisse zu fördern? Teste unsere Lösung mit Vollzugriff auf Tutorials und Vorlagen/Erweiterungen, die dich schneller zum Ziel bringen. Klicke jetzt hier und teste uns kostenlos!

  3. Haui76

    Haui76 Nicht mehr ganz neu hier

    Dabei seit:
    01.02.2015
    Beiträge:
    54
    Geschlecht:
    männlich
    Software:
    Photoshop CS6, Lightroom 5.7
    Kameratyp:
    Nikon D7100, Nikon D70 (Unterwasser)
    Zu blöd für Composer?
    Kurz die Doku und dein Post überflogen, da ich den Composer nicht kenne.
    Dabei ist mir aufgefallen, dass jegliche Befehle mit "php composer.phar" angegeben werden. Könnte hier der fehler liegen?

    Für deinen Befehl wäre das dann:
    PHP:
    1. $ php composer.phar require mpdf/mpdf
    Gruss
    Haui
     
    #2      
  4. Fugel

    Fugel rebmeM PSD Beta Team

    Dabei seit:
    28.02.2008
    Beiträge:
    751
    Geschlecht:
    männlich
    Ort:
    Freiberg
    Software:
    Netbeans, Photoshop CC, InDesign CC, Illustrator CC, Lightroom CC, Suitcase Fusion 6
    Kameratyp:
    Sony Alpha 6300
    Zu blöd für Composer?
    Hab den Fehler gefunden. Die Schreibweise war schon richtig (MAC) aber ich war nie im Composerordner, daher ging es nicht.
     
    #3      
Seobility SEO Tool
x
×
×